package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.Limtrn;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LimtrnMapper {

    int insert(Limtrn record);

    int insertSelective(Limtrn record);

    int updateByPrimaryKeySelective(Limtrn record);

    int updateByPrimaryKey(Limtrn record);

    int deleteByPrimaryKey(Limtrn record);

    int deleteByIds(Collection<Object> collection);

    Limtrn selectByPrimaryKey(Limtrn record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Limtrn> dyncRead(Map<String,Object> dyncMap);

    String selectInrByTrnInr(String trninr);

    String selectInrByTOrdInr(String ordinr);

    int deleteByTrninr(String trninr);

    List<Limtrn> selectByTrninr(@Param("trninr") String trninr);

    List<Limtrn>  selectLimtrnOderByOwnrefDesc(String ownref);
}